import { Serializer } from '@metaplex-foundation/umi/serializers';
import type { RuleV1 } from '../v1';
import { RuleV2 } from './rule';
export declare type IsWalletRuleV2 = {
    type: 'IsWallet';
    field: string;
};
export declare const isWalletV2: (field: string) => IsWalletRuleV2;
export declare const getIsWalletRuleV2Serializer: () => Serializer<IsWalletRuleV2>;
export declare const isIsWalletRuleV2: (rule: RuleV1 | RuleV2) => rule is IsWalletRuleV2;
