"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isIsWalletRuleV2 = exports.getIsWalletRuleV2Serializer = exports.isWalletV2 = void 0;
const serializers_1 = require("@metaplex-foundation/umi/serializers");
const rule_1 = require("./rule");
const ruleHeader_1 = require("./ruleHeader");
const ruleType_1 = require("./ruleType");
const isWalletV2 = (field) => ({
    type: 'IsWallet',
    field,
});
exports.isWalletV2 = isWalletV2;
const getIsWalletRuleV2Serializer = () => (0, ruleHeader_1.wrapSerializerInRuleHeaderV2)(ruleType_1.RuleTypeV2.IsWallet, (0, serializers_1.struct)([['field', (0, serializers_1.string)({ size: 32 })]]));
exports.getIsWalletRuleV2Serializer = getIsWalletRuleV2Serializer;
const isIsWalletRuleV2 = (rule) => (0, rule_1.isRuleV2)(rule) && rule.type === 'IsWallet';
exports.isIsWalletRuleV2 = isIsWalletRuleV2;
//# sourceMappingURL=isWallet.js.map